Pertanyaan Apakah ada tautan ke pustaka jQuery "terbaru" di Google API? [duplikat]


Pertanyaan ini sudah memiliki jawaban di sini:

Saya menggunakan yang berikut ini untuk tautan jQuery di saya <script> tag:

http://ajax.googleapis.com/ajax/libs/jquery/1.2.6/jquery.js

Apakah ada tautan ke versi "terbaru"? Sesuatu seperti yang berikut (yang tidak berfungsi):

http://ajax.googleapis.com/ajax/libs/jquery/latest/jquery.js

(Jelas belum tentu rencana yang bagus untuk menghubungkan kode Anda ke perpustakaan yang berpotensi berubah tetapi bermanfaat dalam pengembangan.)


757
2018-01-14 00:08


asal


Jawaban:


Hingga jQuery 1.11.1, Anda bisa menggunakan URL berikut untuk mendapatkan jQuery versi terbaru:

Sebagai contoh:

<script src="http://code.jquery.com/jquery-latest.min.js"
        type="text/javascript"></script>

Namun, sejak jQuery 1.11.1, baik jQuery dan Google berhenti memperbarui URL ini; mereka akan selama-lamanya diperbaiki pada 1.11.1. Tidak ada URL alternatif yang didukung untuk digunakan. Untuk penjelasan tentang mengapa ini terjadi, lihat posting blog ini; Jangan gunakan jquery-latest.js.

Kedua host mendukung https sebaik http, jadi ubah protokol sesuai keinginan Anda (atau gunakan a protokol URI relatif)

Lihat juga: https://developers.google.com/speed/libraries/devguide


986
2017-10-30 16:58



JANGAN GUNAKAN JAWABAN INI. URL menunjuk pada jQuery 1.11 (dan akan selalu).

Kredit ke Dasar untuk cuplikan di atas

http://code.jquery.com/jquery-latest.min.js adalah versi yang dikecilkan, selalu up-to-date.


90
2018-05-11 12:07



Ketahuilah bahwa header cache berbeda ketika Anda menggunakan tautan "langsung" vs. "terbaru" dari google.

Ketika menggunakan http://ajax.googleapis.com/ajax/libs/jquery/1.3.1/jquery.min.js

Cache-Control: public, max-age=31536000

Ketika menggunakan http://ajax.googleapis.com/ajax/libs/jquery/1.3/jquery.min.js

Cache-Control: public, max-age=3600, must-revalidate, proxy-revalidate

59
2017-07-17 11:57



Jangan Gunakan jquery-latest.js

File ini tidak lagi diperbarui (ini akan berada di v1.11.1 selamanya). Selain itu memiliki kehidupan cache yang sangat singkat, (menghapus manfaat menggunakan CDN) sehingga Anda lebih baik memilih versi jQuery sebagai gantinya.

Detail lebih lanjut tentang blog jQuery: http://blog.jquery.com/2014/07/03/dont-use-jquery-latest-js/


34
2017-10-30 17:04



Bukan untuk apa-apa, tetapi Anda seharusnya tidak hanya secara otomatis menggunakan perpustakaan terbaru. Jika mereka merilis perpustakaan terbaru besok dan itu merusak beberapa skrip Anda, Anda SOL, tetapi jika Anda menggunakan pustaka yang Anda gunakan untuk mengembangkan skrip, Anda akan memastikannya akan berfungsi.


30
2018-02-02 09:23



Menggunakan:

<script type="text/javascript" src="//www.google.com/jsapi"></script>
<script type="text/javascript">
//<![CDATA[
    google.load("jquery", "1");
    //google.load("jqueryui", "1");
    //google.load("swfobject", "1");
//]]>
</script>

Catatan: Cuplikan di atas akan menempel ke 1.7.1 atau 1.11.1.

Saran saya untuk produksi adalah kode keras versi CDN jQuery: <script src="//ajax.googleapis.com/ajax/libs/jquery/2.1.4/jquery.min.js"></script>

Anda dapat menemukan Perpustakaan Google CDN terbaru di sini: https://developers.google.com/speed/libraries/

Atau gunakan CDN jQuery: https://code.jquery.com/


18
2018-01-31 12:07



jQuery juga tidak memungkinkan Anda untuk memanggil file terbaru mereka melalui SSL, pertimbangan jika Anda ingin menggunakan jQuery di keranjang belanja dll.

misalnya

<script type="text/javascript" src="https://code.jquery.com/jquery-latest.min.js"></script>

akan memberi Anda kesalahan keamanan.

API Google akan membiarkan Anda menelepon melalui SSL:

<script type="text/javascript" src="https://www.google.com/jsapi"></script>
<script type="text/javascript">
  google.load("jquery", "1.7");
</script>

7
2017-12-17 21:41



Ya ada.

http://code.jquery.com/jquery-latest.min.js


6
2018-01-14 01:17



Tidak Ada ..

Tapi, untuk pengembangan ada link semacam itu di situs kode jQuery.


5
2017-09-19 07:52



Bagaimana dengan yang ini?

http://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js

Saya pikir ini selalu versi terbaru - Perbaiki saya, jika saya salah.


4
2018-05-14 15:53



http://lab.abhinayrathore.com/jquery_cdn/ adalah halaman di mana Anda dapat menemukan tautan ke versi jQuery terbaru, UI jQuery dan Tema untuk Google dan Microsoft CDN's.

Halaman ini secara otomatis memperbarui dengan tautan terbaru dari CDN.


1
2018-06-02 05:46